Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations
Interface InvitationValidationTextGenerator

All Superinterfaces
  Serializable

All Known Implementing Classes:
  SimpleValidationTextGenerator

    public interface InvitationValidationTextGenerator

extends Serializable

Provides a mechanism for allowing for customizable implementations of Communities Invitiation passwords. See `SimpleValidationTextGenerator` for a default implementation.

For more information see the discussion of invitations or the overview of community functionality.

Method Summary
`void` | `destroy()` Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.
`String` | `generateValidationText(Invitee invitee)` Returns a String representation of a password generated based on the input integer id.
`void` | `init(InvitationDetails invitationDetails)` Allows `InvitationValidationTextGenerator` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.

Method Detail

### init

    void init(InvitationDetails invitationDetails)

  Allows `InvitationValidationTextGenerator` implementations the opportunity to perform any necessary initialization operations such as obtaining necessary resources such as database connections or loading file contents.

### generateValidationText

    String generateValidationText(Invitee invitee)

  Returns a String representation of a password generated based on the input integer id. All `Invitations` in the Communities framework are guaranteed to have unique id's. The framework will call this method after storing `Invitee` information and will populate `Invitee` invitation password fields based on the output of this method for consumption by `CommunityInviter` implementations.

  Parameters
    `invitee` - the invitee information
  Returns
    a password generated from the input invitation id

### destroy

    void destroy()

  Allows `InvitationValidationTextGenerator` implementations the opportunity to release any resources obtained during init or to perform any necessary cleanup operations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved